#ifndef FE_VECTOR_H_
#define FE_VECTOR_H_

#include "../dataType/Matrix.h"
#include "../dataType/Number.h"
#include "../plataform/VarFactory.h"

class FE_Vector
{
	
	int size;
	Matrix* coefs;
	int* varIds;
	
	int supportSize;
	int* support;//blockIds
	
	
public:
	
	/*
	 * flag=0 -> set
	 * flag=1 -> accumulation
	 */
	void realization(Number* coef, int flag );
	
	FE_Vector();
	virtual ~FE_Vector();
};

#endif /*FE_VECTOR_H_*/
